Summary:   nexTView EPG decoder and browser
Name:      nxtvepg
Version:   2.7.7
Release:   8%{?dist}
Group:     Applications/Multimedia
License:   GPL
URL:       http://nxtvepg.sourceforge.net/
Source0:   http://prdownloads.sourceforge.net/nxtvepg/nxtvepg-%{version}.tar.gz
Source1:   http://adastea.no-ip.com/files/nxtvepgfill
Source2:   http://adastea.no-ip.com/files/merge
Source3:   http://adastea.no-ip.com/files/nxtvepg.chanfile.xml
Source4:   http://adastea.no-ip.com/files/chanfile.sql

BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: /usr/include/tcl.h, /usr/include/tk.h
BuildRequires: libXmu-devel
Requires:  tcl >= 8.3, tk >= 8.3

%description
This is a decoder for Nextview - an Electronic TV Programme Guide for
the analog domain (as opposed to the various digital EPGs that come
with most digital broadcasts). It allows you to decode and browse TV
programme listings for most of the major networks in Germany, Austria,
France and Switzerland.

Currently Nextview EPG is transmitted by:
- in Germany and Austria: Kabel1, 3Sat, RTL-II.
- in Switzerland: SF1, TSR1, TSI1, EuroNews.
- in France: Canal+, M6, TV5.
- in Turkey: TRT.

%prep
%setup -q
find . -type f | xargs grep -l /usr/X11R6/lib | xargs perl -pi -e's,/usr/X11R6/lib,/usr/X11R6/%{_lib},'
perl -pi -e's,(WARN.*-Wno-pointer-sign),#$1,' Makefile
mkdir contrib
cp -a %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} contrib

%build
tclver=`echo 'puts [package require Tcl]' | tclsh`
test -e %{_datadir}/tcl$tclver && \
  TCL_LIBRARY_PATH=%{_datadir}/tcl$tclver || TCL_LIBRARY_PATH=%{_libdir}/tcl$tclver
test -e %{_datadir}/tk$tclver && \
  TK_LIBRARY_PATH=%{_datadir}/tk$tclver || TK_LIBRARY_PATH=%{_libdir}/tk$tclver

make SYS_DBDIR=%{_localstatedir}/nxtvdb prefix="%{_prefix}" \
  TCL_LIBRARY_PATH=$TCL_LIBRARY_PATH TK_LIBRARY_PATH=$TK_LIBRARY_PATH

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}/X11R6/%{_lib}/X11/app-defaults/
tclver=`echo 'puts [package require Tcl]' | tclsh`
test -e %{_datadir}/tcl$tclver && \
  TCL_LIBRARY_PATH=%{_datadir}/tcl$tclver || TCL_LIBRARY_PATH=%{_libdir}/tcl$tclver
test -e %{_datadir}/tk$tclver && \
  TK_LIBRARY_PATH=%{_datadir}/tk$tclver || TK_LIBRARY_PATH=%{_libdir}/tk$tclver
make SYS_DBDIR=%{_localstatedir}/nxtvdb ROOT="%{buildroot}" \
  TCL_LIBRARY_PATH=$TCL_LIBRARY_PATH TK_LIBRARY_PATH=$TK_LIBRARY_PATH \
  prefix="%{_prefix}" mandir="\$(ROOT)%{_mandir}/man1" install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CHANGES COPYRIGHT TODO manual.html
%doc contrib/*
%{_bindir}/nxtvepg
%{_mandir}/man1/nxtvepg.1*
%{_prefix}/X11R6/%{_lib}/X11/app-defaults/Nxtvepg
%dir %{_localstatedir}/nxtvdb

%changelog
* Tue May  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.7.7-7
- Update to 2.7.7.

* Sat Jul 30 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.7.5.

* Wed Apr  7 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 2.7.0.

* Fri Feb 13 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 2.6.0.

* Mon Mar 17 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Rewritten specfile.
